Package org.apache.sysds.runtime.compress.colgroup.scheme

## Class SDCSchemeSC

- java.lang.Object
- - org.apache.sysds.runtime.compress.colgroup.scheme.ACLAScheme
  - - org.apache.sysds.runtime.compress.colgroup.scheme.SDCScheme
    - - org.apache.sysds.runtime.compress.colgroup.scheme.SDCSchemeSC

All Implemented Interfaces:
  `Cloneable`, `ICLAScheme`

    public class SDCSchemeSC
    extends SDCScheme

### Field Summary

### Fields inherited from interface org.apache.sysds.runtime.compress.colgroup.scheme.ICLAScheme

`LOG`

### Constructor Summary

Constructors
`SDCSchemeSC​(IColIndex cols, DoubleCountHashMap map, double def)`

### Method Summary

All Methods Instance Methods Concrete Methods
`SDCSchemeSC` `clone()`

### Methods inherited from class org.apache.sysds.runtime.compress.colgroup.scheme.SDCScheme

`create, create, toString`

### Methods inherited from class org.apache.sysds.runtime.compress.colgroup.scheme.ACLAScheme

`encode, encode, encodeT, encodeT, update, update, updateAndEncode, updateAndEncode, updateAndEncodeT, updateAndEncodeT, updateT, updateT`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SDCSchemeSC

    public SDCSchemeSC​(IColIndex cols,
                       DoubleCountHashMap map,
                       double def)

### Method Detail

#### clone

    public SDCSchemeSC clone()

Specified by:
  `clone` in interface `ICLAScheme`
Specified by:
  `clone` in class `ACLAScheme`